KCSTASHTEST(1)

NAME
kcstashtest - command line interface to test the stash database

DESCRIPTION

The command `kcstashtest' is a utility for facility test and performance test of the stash database. This command is used in the following format. `rnum' specifies the number of iterations.

    kccachetest order [-th num] [-rnd] [-etc] [-tran] [-bnum num] [-lv] rnum
        Performs in-order tests.
    kccachetest queue [-th num] [-it num] [-rnd] [-bnum num] [-lv] rnum
        Performs queuing operations.
    kccachetest wicked [-th num] [-it num] [-bnum num] [-lv] rnum
        Performs mixed operations selected at random.
    kccachetest tran [-th num] [-it num] [-bnum num] [-lv] rnum
        Performs test of transaction.

Options feature the following.

    -th num : specifies the number of worker threads.
    -rnd : performs random test.
    -etc : performs miscellaneous operations.
    -tran : performs transaction.
    -bnum num : specifies the number of buckets of the hash table.
    -lv : reports all errors.
    -it num : specifies the number of repetition.

This command returns 0 on success, another on failure.